Name:           python-rest3client
Version:        0.7.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An abstraction of the requests library providing a simpler API for consuming HTTP REST APIs

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/soda480/rest3client
Source:         %{pypi_source rest3client}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rest3client' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rest3client
Summary:        %{summary}

%description -n python3-rest3client %_description


%prep
%autosetup -p1 -n rest3client-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rest3client -f %{pyproject_files}


%changelog
%autochangelog